# Service class

Access information about the service protocol and control the web server that provides access to the services provided by the Dart VM for debugging and inspecting Dart programs.

## Constructors

Service()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Methods

controlWebServer({bool enable: false }) → Future<ServiceProtocolInfo>
  Control the web server that the service protocol is accessed through. The `enable` argument must be a boolean and is used as a toggle to enable (true) or disable (false) the web server servicing requests.
getInfo() → Future<ServiceProtocolInfo>
  Get information about the service protocol (version number and Uri to access the service).
getIsolateID(Isolate isolate) → String
  Returns a String token representing the ID of `isolate`. [...]